Subject: bug#67390: 28; shorthands-font-lock-shorthands assumes shorthand uses same separator

From: João Távora <[email-masked]>
Date: Thu, 23 Nov 2023 12:57:31 +0000

On Wed, Nov 22, 2023 at 10:18 PM Jonas Bernoulli <[email-masked]> wrote:

> Could we add support for using an alternative separator in shorthands?

I think so, if you can find a patch for it.  This only affects the font-locking
bits of shorthands right?  IOW all other shorthand-aware functionality like
eldoc, M-., etc, already works with different separators, right?

> IMO it is okay to use another separator for *shorthand* prefixes.  They
> won't show up in M-x completion candidates, for example.  Shorthands are
> confined to the file where they are being used, and I think authors
> should be free to use whatever prefix they fancy.

I agree in principle, and exactly for that reason (that shorthands are confined
to a file).

João